## luxus 0.4-3

=== Makefile ===
#############################################################################
# Makefile for building: luxus
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jul 26 16:53:13 2010
# Project:  luxus.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile luxus.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/include -I. -Imoc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = main.cpp \
		luxwidget.cpp \
		utils.cpp moc/moc_luxwidget.cpp
OBJECTS       = obj/main.o \
		obj/luxwidget.o \
		obj/utils.o \
		obj/moc_luxwidget.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		luxus.pro
QMAKE_TARGET  = luxus
DESTDIR       = 
TARGET        = luxus

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: luxus.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile luxus.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile luxus.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/luxus1.0.0 || $(MKDIR) obj/luxus1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/luxus1.0.0/ && $(COPY_FILE) --parents luxwidget.h utils.h obj/luxus1.0.0/ && $(COPY_FILE) --parents main.cpp luxwidget.cpp utils.cpp obj/luxus1.0.0/ && (cd `dirname obj/luxus1.0.0` && $(TAR) luxus1.0.0.tar luxus1.0.0 && $(COMPRESS) luxus1.0.0.tar) && $(MOVE) `dirname obj/luxus1.0.0`/luxus1.0.0.tar.gz . && $(DEL_FILE) -r obj/luxus1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc/moc_luxwidget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc/moc_luxwidget.cpp
moc/moc_luxwidget.cpp: utils.h \
		luxwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) luxwidget.h -o moc/moc_luxwidget.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

obj/main.o: main.cpp luxwidget.h \
		utils.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o main.cpp

obj/luxwidget.o: luxwidget.cpp luxwidget.h \
		utils.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/luxwidget.o luxwidget.cpp

obj/utils.o: utils.cpp utils.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/utils.o utils.cpp

obj/moc_luxwidget.o: moc/moc_luxwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_luxwidget.o moc/moc_luxwidget.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/hildon-desktop/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/hildon-desktop/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/lib/hildon-desktop/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/lib/hildon-desktop/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/hildon-desktop/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/hildon-desktop/ 


install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/hildon-desktop/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/hildon-desktop/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/lib/hildon-desktop/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/lib/hildon-desktop/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/hildon-desktop/$(QMAKE_TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/hildon-desktop/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/hildon-desktop/ 


install:  install_target install_target  FORCE

uninstall: uninstall_target uninstall_target   FORCE

FORCE:

=== debian/changelog ===
luxus (0.4-3) unstable; urgency=low

  * Dependencies updated for PR1.2 software release. No longer works on the
    older software releases.

 -- Toni Nikkanen <toni@tuug.fi>  Sun,  20 Jun 2010 22:27:00 +0200

=== debian/control ===
Source: luxus
Section: user/utilities
Priority: extra
Maintainer: Toni Nikkanen <toni@tuug.fi>
Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev, libxrender-dev
Standards-Version: 3.7.2

Package: luxus
Architecture: any
Depends: libqt4-gui (>= 4.6.1), qt4-homescreen-loader
Description: Light meter homescreen widget for the N900, can display lux and EV values
  Luxus uses the built-in light meter of the N900 and displays the current light value
  on the desktop as a semi-transparent, composite-drawn value. When you tap the widget,
  it switches between lux and EV (Exposure Value) units. EV is assumed to be for ISO 100
  and perhaps usable for photography, accuracy of the N900 light meter permitting.
  Visit http://www.tuug.fi/~toni/serendipity for more information.
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAACXBIWXMAABuu
 AAAbrgGMXXP4AAAZM3pUWHRSYXcgcHJvZmlsZSB0eXBlIGV4aWYAAHja7btZ
 jmQ7kiX4r6vIJcgslOXICPQOavn9Yeb+3D1eVER2JVCJRlKhuJdC8lBGDmJq
 n/1f/899/uM//uM/HqF8RP1ZmAEASEhQAsCDrxIAcIBAAGBfJM+vJ8IXHfWr
 /vkxBgkQ+KvHj55/94zvgViAoH/RPzFfL/T+AKKvB9P3zPJVzx9ADPRr/8+P
 F4vnIH81VHw9paAAAIQNbe1sf30nULBzN/04KduzcyEQZGVhACj5XaA/60wM
 DOycjAycjB9GAkZ+nMxsnKzsAHgAkY9+1QLzl7gxf9ALCODzbRwHgO9ZGZiY
 GIADftWOfAOB/E5X/wGEgb8CAX6rkeI3u1h9A2EQ5F905x9AFL+x6vVz5t8G
 vB8c6e/930/RPH4zJChAbQvE73QEgLpmyN+B4gdH3kHgAJrgAADxzdGzLzq8
 ryGn8O0S+adOkeHDAJjwp0/XNgH9ThcAq2kE/p1eAFL1aYDN31i9ga94ut/p
 oF+uiZD0ZwzUfOrQ/6Yh6wCSwX+hc3VVNWDKb/0BoPpTC/RHAwJU1QD/DT3r
 QFJ+43SgvqxmfzND1IAm/Bp9+C3az/KDvl9BC8Tw0xh/H0d/H0a/9/v8847A
 v8/8c8H5Jrv8Wv/80sJ/1wFgjwYAYN9XD/yhHwag/Rbmfb6H0zfQj3iT7zf+
 g97fb/IN9D0byudnl68B3yuzvm+6fU2C3yuy/ZjAv+nf/d9PoAe/Wci7Bhm+
 ln/6S8z4wdF8u/r76UdfDQi/AwEAhH3XfgACgPYXz/itCuxvTvfz3fCHLtK+
 6e8nOAIA5H7TA/6Iz8/3s/9o+NE+3zP/cLX9WiFw/5TgAwQAiPc1QL43m/4e
 QN8ifLsQ6Pu5ef4Q9VuBn18c70cRgLs7wG+r/cLl7d3Xyy8SKH2Jdud3d5eg
 mQ9tH7ALQMM34N+UX+j19f383vAF6n8Npi/PXgPI+UdAkS/JEj4AT77CIuZ7
 i7FfejL87wsCSH7ryN/PwP+L9YT/ZPkWTUJGnPPHTv53GzmBpIKo+N+IaB8L
 Jxt3QydTAjVTJ2eLr0MCIy3/Swl/cvRvlz8c9u1fx5rfi/4LoB+Lbf4O9Pb7
 fGTfm6Dol5+23P3qQ/e+6j8GXn0957uO/Pm5Qvwflj9E++Fzb78mQP1TK/8m
 kMzvHLp91+/vAaVXdu8efI4H7uB7Jbr7tjR+r0xfJySo74OFfOvyx9nW7au/
 x/cKGfG1PPxo+Hlw+D4T/TDGD2Vr/WEU/dP8/6ZGMn4cuv6Jjv6h/AEs+s+c
 /PP3A95LvvupsZ/tm//MXf6TIfJj1/hRKu4o5lA+/0Y8/ijxxZkAWAHIA1B4
 gDcA/J8O2n9aPvBvW+pfA/2XcfQ/QP99gL5WuF8qv37/BKK/2aveL1csEIDf
 zyH/v9DR/yeg/CXyvtbW7xcEeF/n87+PzPcBeP8lYfvfXkf/A/Q/QP9G+ZEf
 zB/np//rHP0P0H9PIEt8APsjswdySAAZPzvUb0/5cT4i+HnnV+Lg9037h6Qc
 AyD+Q+4N4AMHhP+QfAOIv06LBgD8R27ZAPIVYf5IRn+LFvGdiPsjS534Rf+7
 JDUqGCDQVyLhGyi/gYB+NHxP7PhXNgf+d1nln9f1eXcLAAiSYhLylTr4Ky+C
 3/0KQBgAHhgYOBgoPPAPODgEBDxIaBQYaCgoaAwkZDgUHEw8XBxMbGwCElpy
 AiJqYmzsDz12CmoGRhYWFjxyDh5+TNy0zCxMP3lBCAgIaChofDAw+Jg+hNiE
 TP+nn8+/7nLXAIAID6AOoAUYkAgACBEQGBHwc9fylZqHr2se/vL5s3ylzAUU
 DBweBCTUF8KnFL/MjsDAQCDAoKA/837o8zPnLoigSISMgmDIiobgRI4fFKaH
 gYnwiIUKG1GVBg9ImI2cHkFAoqHjw8AkpS9yULKwsrF/+HFwCouIionLk5BU
 VlFVU9enoWlsYmpmbs/C0tnF1c3dn4fn48+Tp8+ev/fiZVBwSGhYeLyIyKTk
 lNS09HwZmUXFJaVl5fUqKpuaPy2tbe39OjqHhkdGx8bnTUwuLi2vrK6t79vY
 PDw6Pjk9O793cfmX1fA7xv/8/Cesht9WIxAQYBDwn1ZDIPcfEIggoISMYEiC
 iuCGjshEH6aH8FCEAhMLGyGImZUOUI2cBiHRSFgWSQ9/2u4vyynbh/2/xm6f
 R4//Kyz3aWr+l5b7R7v9ndUmAaCBvzYB/ApC4AM4qaSw1yoAIYpSAhAvGaUk
 vog0KA3yaSWlQQEICUmLtAAoCVEye4COEmIWUAqAoiw1ZMuiDW4UFOyD9ckH
 SEHhDsnEYw+wJGRT0oAURVEAPV9qUsCTpJfMAqAoZq8HAEU/ZKJYz3MAUEIq
 wGsIWaCFJQQNJSp8LACUlFZwT0IAcNFZmvskP32HMMv69rkjE9sEW8DzwXcA
 t/7y+N61Ym77MRhTupGirJ+gHuNHHDXeUipnCEmFcmnkHcADO1JZNumTmbTg
 wMnqSz7cudZ3JVqEn0swvU3LEz6EnV7uLTO9c2289Zf7Lses5JZSUvfdASwE
 W9plTH7MgirmedukSjLtEPko83Wx+tIhWjD7TPUTv+opv1iKO+vR54f2eRK+
 fElwZrFDLBmUjM4oYTsstLnJicqBsuJIYrmcmHuNZiqO7zP5dFgHg/nx2+UM
 C1B+6glmKIqiDHSKooQsDyQlrdioqHTGCQY+J+uV0SsnIn3UFoCJHl42hrbD
 M70BLTUavaBOytdiw5Nqr2SLP9W1jncA3MkLdwB6QwUnNJRX7eV9mVZI9YaT
 jYifygLjCe5sWn2GbFi2ZHhnDErK3+IbT0paymxwZPIWqC6/2K1m90PRmfe4
 fa30k57qb094VJ9YOdis8jXym7o8yY0JQByqF4d+j2xcpTRos4300X0GbEHB
 QGLb52ZfAU48AzHBfjyt/Fj97T2+tnNMk6Z2BTcv6x2uT2X73skp3hvPEeWU
 TBxYwQwMLsy34SwhD4SFgutBCkuhz5EPqH/YmPKKmnt9gikhj+Q1HUarK28U
 CtuAFK02OryUBVi/eKjtGVr+eWMcqssGDMKJeL01QMuapaVxnZGLakLMj5VF
 PWBGtAKTQ+Ec5IOoR/ioO3Nhw6nSXWb2CifUYSi8+kQ8XKffGwaqwkd5AK+f
 kZd/NhSnW4G5X6oA5QMAHhlP70rfKMc4traZF3urr0cpvBmTut2h7MNYnsmB
 N1ZDzxEGrxysDu+IYxbnxDxKJr1BaqeBHqp4Fab6cPJH8Uh204dd3YPu4fZE
 dT/bdDFyPjbMDKmFVwFYHdVPO+4AYt9T/1yYVS7GLKye5WxGwL4edG8uvMBF
 fm8ZTN3sxvGGymh2d1osY+2Tu8AgZlk+0RuXrDlZCJokgO/tk4c9zmFHF8HA
 m87aF1RnoVtqHx29TR0dosApqiwXA4vlQA21OBe1EB+qDWnwQSlRAJ00jvTI
 N59LJSAiq368hJt57rms+YxXteKo4byB5NYc76nnsfozf0Nsr1rx44l16xV8
 jwFEWcCL70nOUvlBbrxAwJKpZMfpwODLyHmGuj4HXZ/WMmfNtBf5pIliaQnM
 +cHWxinqxjFpvVerHKzWYlqQj5QbM1bsAxC5VG2+jKWD1Knlj1SDbsbhvXQu
 5mvxoQBcidwSi6WsY1zu4o/T8jvp6PG0e3hqXm8o4a1YV8I8P+B3G7ocVGE+
 2xIkK8E67Q/tc2XaEog8+vhdi/PlywjoMxafBkzHzLAiW0G1YiVGGA5/L/oW
 pT8seS0AnpGHx5PR8cTx1ix86xJzUD3whV/qRuTTRg+SKT4hJWn8XItL+qQ9
 t7IAFscOxml3W7p+fM9RZZebhSQ0FqtNoZ1LB9j44oNZZZc2rUWUOSdvnlD1
 29t6Pd49EoLKkjFq15FcPqXquBI8YNofDdZqO3p1MYhisrLbPpSrNU28hEjo
 oQponQvv8hLPMnPs8jGxfGwPpF8zCOfhu1Sdt2P0UpmIAInzqRGctkuuR2nX
 Hlcxa4WPGNFHcCeSov01nKAM63okvsrrKBrtt4lwW9o1D7qTyr1laAkCfSTz
 PluRrcPqTGa1c88Tu5457fZy7s1yeslVUknyhsZZ8kNNiKHaJ/2BoJeS9IBO
 xU5JGSsVQGB0BQ+ZxjvHpRscqSnIlyD0Vl+enuXxJ+8lW1VOti3A7iFei4kf
 sQCuBgUVgSm/Pm61nXdvq8XTW4ieK38Ck7FBQ8Db13sMOGaQ8KxVVAVcwms5
 D1FPTElGdFROEfPJjUB/xvntDjG6m5mRkwQHWTCL2QNi752cPGideKz83voz
 UL98t6VvxT6ivJ16RIskt8tgNw5+MVLz4BJOKqr7KRaPqOVj7fJnu95T9C72
 I9DqsulEqdDKinqJQYPJGtDWCosNvTBSs0EGGPFwY6jW+D3LyY/LQqVODAra
 m+iHw6VWHnzu3Abme7aG75rBL8am5LwrGGuqH5x8QEJ5+NqyQ5WcSEKMh0mU
 GPtNrSWeOeqKWqtsafSQ2xGrYlmLf6zcXamnSMvg1c3CBVgJ8lqgeI0CA/Z6
 5+urLER169En1Y/AFeATvVRv82hyX76wqIyva15hU/COtr3igEPqCBM5DYjr
 53cAupkbH6tee+NxPitS+1Juze8AcpQtpI5e3sCRP6eFBYdR32NOLMeGrP7E
 UEYDP1RXT/VME5qft6vIkU1hAdR5rrlSS6DlMYseJG3SSJ+UuFy449yaVhOr
 szrrAbudw6ADfnjajpcD4H3SDG+fZ3Lko5L8QKlVj+hOMiWu6nTiW3ZsF9xT
 yc1JKwlNiiV70w7C0KqAaBZM9AkIlOkhwIt8I++Ycd6hpL7yzsfkk2F61PCS
 32h165oYT18qgGd+7mHel6OPxDpQDRJxCOqqL8iL5aPxaNC1Gkm8elQsTPYO
 1+AEPz0iO41GPptpxb6Tas99vBPQnxEp87Djgm9avXrcNvl4wuN4SvMjyYZO
 hf1Ulg/7WI88wnBzqVAphO1N8j29U06LDjE2c3vnBZNaH/DoIgAwp/QcNRtz
 uXgAtAx8dOv62GoZS6rL5TiHFLDNjfrlXXzWUYo3b7FBRVYN6Ia733t9S9Xq
 1AyStKOGVBcab/qKOeGRlNezD69Kp6y/hhwpwtuClQBYMFmrsOGUgdYmOQsf
 615OevXa91llFX/aJ8qBYJejHwdq85snhil2dqzG8rh2ZRRlpwycd5RGrcam
 LGfv0+pxqG5vYNHVbC6j4Hbz4Y1fjuXGqyearZV2zErx7gDK33W92/hoXXou
 ivpGPHpOhgvVges9s9KTTxwoBzZUF7FVA4cq+0HSS3pAn1PC1KQHRI4K/Srw
 ZYkl+zseesAt3nqLHC5TbZGjEjKtAbD1tvrjw0MVVj1Gu1qG0EPdrf4A+xnw
 8YaeiJ7FoW7DQB9mJW5b9bH2557nUBVPBjRfZYuJL1kG4PIOVWEfSxzHtkee
 0KvFmwa/WS1p388Do6ise7w6mPBK8YrMZsmATMjJwV/fAcRZ0oJDoCgFH2Xh
 pVp/LDQ1wgy03a+SM/JECw5WY0YQKzuT2BW6VvM1glXCsDdd+gS/+CDx9N2s
 ZdgUUPkzFmcrADdt5KmhylKdZJTA/PqRYgPKZZQ+46EPvbW3IqGoA69RDQOs
 ONebLkmHQoNlHoPntk5dZ6kRvtdxylJ68UkjRuVQj5EnkVV2wgOv1SnF2dkf
 lkSgqvFxEtQA2DTf4YIV7tZnMRqJCl6eZ/Q7Rua3zm3wWt1DzDJjTV+mH/Tc
 GrksXeLqeBz0frYhYMoD5A4AKfBdN+ZeNXs6b/DiFBeG45pIHC+smATJHedw
 D34i/UV31pJFpqvO0AixLKO7oIorWQuBZ2RNZPs42dHOzPMDYvb9hPYIcY8i
 UdTA0iKvaaPfHiPryDy6TqrwIu3O0jENuBD1TQQ1+QSuMysRNmS0CqNLRmbL
 Vw4KQDclNSUBKGBoWCIBrFQ9EDBDoz6or3K3xipJ02Mclr1iCvOM5pEAecFy
 DoCch4dVumaHszvBWxT8hBnP86HqulZdXh8ximyXU0RNBsqjgi6Gmddvp+Rd
 W8Ue0r2g4496NZ3TdpWTGuEdAHURgwBPO84W7lDnlnKUCUWbr9k++DpsbL4P
 7HJD5eWFk8VxGSZzJV/iJh+vH+bJFQVwAutaLfZB0RQ/e83cnxWDin1UQy5X
 EIkvhAv6odI5hhcqylAKIncRg4qAxot9ABnd1vRJCiMkscHKVX0I4vlYmd6x
 aHs9YlRuETO7E48Fl23Ux6oh4yZ4H19SPlmqR2PViF42XDzvLkVIrjMbbPXs
 PFvZNGfC9e0RtZ9L0fvkRcXBCl4zXcM+fe+Ix9W1n9zci+fDkTGsWuLL3VSn
 qMsvcjYHPthYL2C55GXODbOa0aHNkV/OSwyAE+i6kXFUWZzsWiy+r3xNSH6q
 5Qy14uHtdj8/zAAETwTfZ9VJeBjt7TEWBHe5tlgXSyWEh67vg+17q08umeI2
 ArVZmbSlebuu74hG9dWmJ8eG9tx7K63VcwJ1EZ9cx2sLas+anGx0xQ6QTCne
 6x3e0MTMOZ+iDn0BOtFA4o7qT7o+m8Mtw+uabHUMIcOvCqXktDupMkvxKWrP
 xnvua5WvXPmhnudbpM/XfVrBkgWVluKB2Ut6aaCXkvRSABW5jFJYdfpYAKNy
 LA/sTVp/wse5rksaLtDdyR/qouZsjaOfD2v3LqYboEaoQza4LG9c12FufXjp
 WTr7WbaaxVpbYYsEYTnV483k9LF6MJQtc7OZrqIr7w4A0t4HypPtOW06vSAF
 NeqzW7pUz9jniwaFBIwXjm9fguoctD0IO9t39GljN07jVNcNzAQAaAVQKyl4
 OQqU9PBlGSi9pAB4FjAUKQkmtA8+Z6gYT+UsC0QZnzKikA3npIF3P2O/A/AQ
 zO56B2nBvFIaLXCZ9+m6zpJTGMku6ce91RVv4V0C7byOs1x05XvJNlgXnqZR
 2tgP1yQ/bnm8M/aAbsYfsGwwr5YM3mARn6KGsjdXiHm/WjxxaT9i7bLE/fAe
 wiyxXxpNZby+Lsine29rBK+tMJfVaisCW9tSXQksUJBMyPnzcCzmwaarHojl
 mJqTzhpHGFy893pluQ5fDh6sha/pg4qym4Pg/Rwqnssl4mQ9k9FSEJCpTXWs
 1ABmOIa3gm1y3GO9TzN027NIV/Mjjeb1qvT1VEs9ceUuEzdgYjzlDYkEHmbZ
 kiC+Giy4fDn7FB7w+6TnSYbKUgCcomxKUjz49Y999FKAMHNINViBXwJ8bWoF
 711/lHrVSJGE0nkNQc46cKvV6B6vqI4BFW4CYse2Ve291FTuMrfJ+IieJ5Li
 WWtFgUevDxjcuq6qjdMZ+6C2eHTGTEmZLM8NZQCePPtEN/fT9lR7sKGd97Q0
 y0dO9q2+aFwGMU/MDTVtJSAji6cZ7I9nP/F6eUQJUGopag3z6aqe5qrrHa5F
 JD1/y3yWldq3m2wLiCPIk/F5OM7SiFKMAIBBEhva6C94SaYmwkuHUG1zOcC0
 b3dkmdvPsx7Nx7l1sqxMw5b8KKGjBdEhHfv15YFV3PRRvbeoJF+/K+rgPrw+
 lP00aI2USuVIrubS2eJ6vBNqf8D52ss1n02OHSvGE7awI8meBhWlj9eKb+mw
 vVio47K+zCpxPEVIn+VTnqzakqA52ff1j6eDDXHbr/HDpzwb2rDocgfwTLNn
 6XmVPxvEKnkT1niGWgPX9IZHBStGTcw2P24EwPzOeUsrz4vr1FkxwtQ220Ib
 WuvdU09HxTMbNRHD9t6Ew/dZT6+x9MfVyGAPdlw9HHFax4l46lzB83h6pCrl
 1NKzg+icRRv2E+f5+E1TijpuadeLVLtlVs9JDX5dmLRgRzV8HNn3YqoiS95a
 PPywL4uyu6LAG8yv1b2FpV17uIeUgdlue7mmOHLSQNopUQxg+bF+FmopDlZu
 cUd0yQXGhphZCCU4MJYd85J0gNV0s1K0NsOcNGdEP7Xk+HhLAI93A7Pn9rnr
 +jyZ6JjsFFPtS/t2A7pXiu811AyTwKcBL5IcBNsLz7N33BdLZ1LesEXOmnjw
 k30KfprL60OsWN7tJLCfOtpuxAFXloZT8Hs5KQs7xdXkAYCQXOZjxbm1lBFM
 1CfFwQ0WH5NTbAfw0zyuK55F6wu681cup/gyjIZOKd6DAr4DgNfLQ28Axuaj
 3ubZm5tKVoEgMK/b4TUQXJ7zUMUysQkIhvHr83V8fDG2E/eEPmfLuBaTPAAd
 Wzpv3y0Ug0Fqxcxru+AcdOCXw9U0Xp7C2sggPvxZwz7c0QkLT5ywqMd2EBZ8
 68lOVnmlB0tk0N36LtWyOV2riVffp5WmzZlh3rTMEH/dFQefixo/WisPRfWk
 h7Ibkg1m7clNNWKWTZ+Nsa1roBxF2QYh6gS8o24lLCznMUblwUhqoigLt/Wk
 pYfpYjUfyjV7PWhA9cqgBoZbTPT79zPTirJJD1joJb0EN6SXFPQKtkkJ8fP1
 2xc0IhPwfJlDE4IMLQFtdwB79Fhdhh0F9HVyksVK8Bk/5+38gPK4RJFclRXC
 3YOxt/RagQpVaZJfexdm3oDKQ0ptJQUu6CmxyY8PKaBhvZRWzpfyXUtXUkZ9
 tvS+LsfUpChKCmiQ9FhCYBtF8SOKBoV3N/H5fwFsqMPpGPDZBAAAAAl2cEFn
 AAAAMAAAADAAzu6MVwAAEplJREFUWMNNedmvXdd53zestfZwhjsPvCLvFSlS
 EcVBomRZSlLLadBACAJbDpC0aR4a9CFtgfwBeYjbokCAokCBwi9FC/SldiGb
 sqJKlgO5quhIji1ZlBTbkihTIsVBJO/EO55pD2ut7+vDPpfqAfbeZ599zl7f
 +abf7/ttfO/9txUVAFFVEQEAFQAAEJojAICCjk+k+VRVAVRVAFC/+J407xU4
 c79QGVZhLoSpEHIBC2BACTEgCqIiCEBUEFBUAAUCBQA0jTXQnI3XxS+s0cYy
 BQQAQEUFAUBEUNXml4ioY6MQUUTSVvKzmYn/iDBCciFOhTBZhYW6nq/DnA/z
 MU6LTgq0VVMFBGUAQagRogIaBEAFRQRs1m/MU0Ac70HxwFIFRQAdewwJVEHH
 9oE0FxU0db9E8G+8NR+izs71Jic2u+2PWnmYcsBoQLMQuz5OeT9bhznvD4U4
 W/njUedVa6OAOv63jUE0XhkEQEFpbAEgoAKoAqlEGJty4EFQBFIUUCasrdsY
 lXLhp4u3bnfSpDYm5q3QafvpqWJmutmPpiZ2O63LeRYmWihq7m4e7oe/Jp4z
 qhF07BxVVQ2GrbEWSWOMde1DiIhK2LwYUABUJUYREVEFBAGAg0uWaTd1qzfX
 OYb0oTOzoFAVYWd71F+XW6s66hdsgFmdq9q5drp+fq78469tB38n+pvIS2Yc
 J1XRmCSZc2Z3d3v95vpgMMiybGFhcWJyKnhflSUAIgkiETQRVNXQHBRQRQDq
 KJAldxK7d/NWMii6i62MmTpdFPFZ2yHgqG9FoSykLFNlt7ohvUGpuBFibuwM
 ExiA8f1b7daNG9defvmV9dXNNM0BaTTqD4fD+48uP/PM7504/qD3dQiRUBUR
 EGGcZaBN+oGooKpNzB2FIs/MiaPbUteDOq9qs7cXRqVhRsTEJZy72J3K85Yb
 jUIn3c9cvVlNbI9GLtkwUUQlWGd+8MpLL7/06le+8rvfePafTc9OE3FZFjeu
 f/bC83/z7775H77xja9//dmvMZvoAxEBEYioMmAEABVUQFUEjWnyeTGqzj2i
 jz3y0XCIg5HpDczubrbfb21uu+09V1atnS1B29nfr8vSzv9GbayMyvTatVvM
 28bXlXPmhe+f/8ErF/7yL7/5m7/92KA/9MFLFOfsw6ce/ua/P/mt//Kt7z53
 fm9v70/++R87m4hGlAgHvQBUFUKT5oilMzfLEYWSIVWTwKzzC7MFPdAHEAWM
 AUelGY7c7p7Z66Xrm/nSoWHwsSjSqsI8U5Om6cV333rh+y//i3/5F7/1j768
 s71FxCiAqqBQFhUb/qN/+kcffvDBG2/8/eRk95ln/gkbZuZxyA66oiqqGMs7
 1m3sXXXxv3cMm8HTg8HjwkFNos5G54CwThNYWgiH5grEvqJE4a0tHBXJaBQS
 F6jf3/8/r73e7c4++dSXi9HIWsfERAaRUIHZeO+np2YWFxfKsnz34nvXr12r
 q1qifNErYJxKotbaLYg9nmP5xmh4alDnQQJvbPOn181nN1IgI5oGTyFIWfKo
 oNHQ+Yo1wGCYiighms+uXV29s95uT6RJqgCA1FQNIAODRg9AIdYhBADY6/Wv
 X78+MztHRM6miAjYwAUCgCon7rbG0uM0PYbdrxQJMdRheVHLEj5fo7U1nOxi
 axoBCFngAHd8bYejDgAAkdm6uxV82Kt2Nze35hdm6qq2zlR1WVcqCiHExGVX
 r129c+e2MaYoqvX19eFwkKYJs2U2Y4xRVo0AkthbUeqf/Oy+m7ePzkxtn3zw
 g6lZRBBrEBT39rDbFuYGBAEBAEFEK09VnRMBExnDFpF9Vbz44gtPPPmfFuez
 qiy3t7fLUSWqWdbq9fdfOH++qmpm9nW9sbE5GOx3Ol3nAlEDgNTgGFFt+fMY
 06cev7p8+KavOc8l1LDT4xhxdjqePRqrUpvWPsY/BJBYFmlZpUzIzGZ2btYa
 q6m++/O//7d/9Vd//m/+9eFDi2RskmXD4fCDDz86/93vfHr5cpIkde0BZHtn
 f2dnZ25uMQZhvoeAImIM7Rne7A0Tr9NHj47araJB6aMAVS2iGDwyAaKogGKD

## luxus 0.4-4

=== debian/changelog ===
luxus (0.4-4) unstable; urgency=low

  * Bugtracker added to debian/control

 -- Toni Nikkanen <toni@tuug.fi>  Mon,  15 Aug 2010 16:26:00 +0200
	

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
   it switches between lux and EV (Exposure Value) units. EV is assumed to be for ISO 100
   and perhaps usable for photography, accuracy of the N900 light meter permitting.
   Visit http://www.tuug.fi/~toni/serendipity for more information.
+XSBC-Bugtracker: mailto:toni@tuug.fi
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAACXBIWXMAABuu
  AAAbrgGMXXP4AAAZM3pUWHRSYXcgcHJvZmlsZSB0eXBlIGV4aWYAAHja7btZ

## luxus 0.5-0

=== debian/changelog ===
luxus (0.5-0) unstable; urgency=low

  * Support sleeping during backlight being switched off, thanks to Qt Mobility 1.2.

 -- Toni Nikkanen <toni@tuug.fi>  Mon,  07 May 2012 21:19:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/utilities
 Priority: extra
 Maintainer: Toni Nikkanen <toni@tuug.fi>
-Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev, libxrender-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev, libxrender-dev, libqtm-12-dev
 Standards-Version: 3.7.2
 
 Package: luxus
 Architecture: any
-Depends: libqt4-gui (>= 4.6.1), qt4-homescreen-loader
+Depends: libqt4-gui (>= 4.7.0), qt4-homescreen-loader, libqtm-12-systeminfo
 Description: Light meter homescreen widget for the N900, can display lux and EV values
   Luxus uses the built-in light meter of the N900 and displays the current light value
   on the desktop as a semi-transparent, composite-drawn value. When you tap the widget,
@@ -195,4 +195,3 @@
  qiy3t7fLUSWqWdbq9fdfOH++qmpm9nW9sbE5GOx3Ol3nAlEDgNTgGFFt+fMY
  06cev7p8+KavOc8l1LDT4xhxdjqePRqrUpvWPsY/BJBYFmlZpUzIzGZ2btYa
  q6m++/O//7d/9Vd//m/+9eFDi2RskmXD4fCDDz86/93vfHr5cpIkde0BZHtn
- f2dnZ25uMQZhvoeAImIM7Rne7A0Tr9NHj47araJB6aMAVS2iGDwyAaKogGKD

## luxus 0.5-1

=== debian/changelog ===
luxus (0.5-1) unstable; urgency=low

  * Binary package in the repository was corrupted for some reason. Bump up
    the version number and hope the rebuilt fixes it.

 -- Toni Nikkanen <toni@tuug.fi>  Wed,  16 May 2012 02:36:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	qmake
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make -j2
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	find . -name *.a|xargs rm -vf
	find . -name *.o|xargs rm -vf
	rm -rf moc/*
	rm -rf obj/*

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/luxus
	mkdir -p debian/luxus/usr/lib/hildon-desktop
	install luxus debian/luxus/usr/lib/hildon-desktop
	mkdir -p debian/luxus/usr/share/applications/hildon-home
	install debian/luxus.desktop debian/luxus/usr/share/applications/hildon-home


	#mkdir -p debian/luxus/usr/share/dbus-1/services
	#install debian/luxus.service debian/luxus/usr/share/dbus-1/services
	mkdir -p debian/luxus/usr/share/icons/hicolor/64x64/hildon/
	install luxicon.png debian/luxus/usr/share/icons/hicolor/64x64/hildon/




# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
